//===============================================================================
// Copyright 2014 Alachisoft.  All rights reserved.
//===============================================================================

using System;

namespace Directory.Business
{
	/// <summary>
	/// Summary description for Customer.
	/// </summary>
	[Serializable]
	public class Customer
	{
		private string _CustomerID;
		private string _ContactName;
		private string _CompanyName;
		private string _Address;
		private string _City;
		private string _Country;
		private string _PostalCode;
		private string _Phone;
		private string _Fax;

		/// <summary>
		/// Get/Set the CustomerID.
		/// </summary>
		public string CustomerID
		{
			get { return _CustomerID; }
			set { _CustomerID = value; }
		}

		/// <summary>
		/// Get/Set the ContactName.
		/// </summary>
		public string ContactName
		{
			get { return _ContactName; }
			set { _ContactName = value; }
		}

		/// <summary>
		/// Get/Set the CompanyName.
		/// </summary>
		public string CompanyName
		{
			get { return _CompanyName; }
			set { _CompanyName = value; }
		}

		/// <summary>
		/// Get/Set the Address.
		/// </summary>
		public string Address
		{
			get { return _Address; }
			set { _Address = value; }
		}

		/// <summary>
		/// Get/Set the City.
		/// </summary>
		public string City
		{
			get { return _City; }
			set { _City = value; }
		}

		/// <summary>
		/// Get/Set the Country.
		/// </summary>
		public string Country
		{
			get { return _Country; }
			set { _Country = value; }
		}

		/// <summary>
		/// Get/Set the PostalCode.
		/// </summary>
		public string PostalCode
		{
			get { return _PostalCode; }
			set { _PostalCode = value; }
		}

		/// <summary>
		/// Get/Set the Phone.
		/// </summary>
		public string Phone
		{
			get { return _Phone; }
			set { _Phone = value; }
		}

		/// <summary>
		/// Get/Set the Fax.
		/// </summary>
		public string Fax
		{
			get { return _Fax; }
			set { _Fax = value; }
		}
	}
}
